using UnityEngine;
using System.Collections;
using System.Collections.Generic;
public enum SoundName
{
    None = -1,
    Explosion = 0,
    Lift,
    LockTarget,
    ConsoleShow,
    UnLockConsole

}

public class SoundEffectManager : MonoBehaviour {


	public List<AudioClip> _Clips;
	public AudioSource _AudioSource;

    public static SoundEffectManager GetInstance()
    {
        return instance;
    }
    static SoundEffectManager instance = null;
    void Awake()
    {
        instance = this;
    }

	public void PlaySoundEffect(SoundName soundName)
	{
		if (soundName == SoundName.None)
			return;

		_AudioSource.PlayOneShot (_Clips[(int)soundName]);

	}
}
